Summary: An ircII chat client.
Name: epic
%define prog_version 4-2000
%define help_version 4pre2
Version: 4_2000
Release: 6
Copyright: Distributable
Group: Applications/Communications
Source0: ftp://ftp.epicsol.org/pub/epic/epic%{prog_version}.tar.bz2
Source1: ftp://ftp.epicsol.org/pub/epic/epic%{help_version}-help.tar.gz
Source2: epic.wmconfig
Source3: ircII.servers
Source4: ftp://ftp.innerx.net/pub/splitfire/splitfire.irc.gz
Source5: http://www.innerx.net/~nuke/schemes/sf-bitchx-scheme.irc
Source6: http://www.innerx.net/~nuke/schemes/sf-light-scheme.irc
URL: http://www.epicsol.org/
Patch0: epic-global.patch
Buildroot: /var/tmp/epic-buildroot

%description
EPIC (Enhanced Programmable ircII Client) is an advanced ircII chat
client.  Chat clients connect to servers around the world, enabling
you to chat with other people.

%prep 
rm -rf $RPM_BUILD_DIR/ircii-EPIC%{prog_version}

%setup -q -n epic%{prog_version} -a 1
%patch0 -p1 -b .global

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=%{_prefix} --mandir=%{_mandir} 

make

%install
rm -rf $RPM_BUILD_ROOT

make install installhelp prefix=$RPM_BUILD_ROOT%{_prefix} mandir=$RPM_BUILD_ROOT%{_mandir} 
(cd $RPM_BUILD_ROOT%{_bindir} ;
	rm -f epic ;
	ln -sf epic-EPIC%{prog_version} epic
)

install -d $RPM_BUILD_ROOT%{_mandir}/man1
install $RPM_SOURCE_DIR/ircII.servers $RPM_BUILD_ROOT%{_datadir}/epic
zcat $RPM_SOURCE_DIR/splitfire.irc.gz > $RPM_BUILD_ROOT%{_datadir}/epic/script/splitfire.irc
install $RPM_SOURCE_DIR/sf-bitchx-scheme.irc $RPM_BUILD_ROOT%{_datadir}/epic/script
install $RPM_SOURCE_DIR/sf-light-scheme.irc $RPM_BUILD_ROOT%{_datadir}/epic/script

install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Internet
cat > $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Internet/epic.desktop <<EOF
[Desktop Entry]
Name=epic
Type=Application
Description=epic
Exec="xterm -e irc &
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUG_FORM COPYRIGHT INSTALL KNOWNBUGS UPDATES
%config %{_sysconfdir}/X11/applnk/Internet/epic.desktop
%{_bindir}*
%config(noreplace) %{_datadir}/epic/ircII.servers
%dir %attr(755,root,root) %{_datadir}/epic/script
%attr(644,root,root) %{_datadir}/epic/script/*
%{_mandir}/*/*
%{_datadir}/epic/help
%dir %{_datadir}/epic
%{_libexecdir}/*

%changelog
* Thu Feb 15 2001 Tim Powers <timp@redhat.com>
- no longer conflicts with ircii

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jun 6 2000 Tim Powers <timp@redhat.com>
- fix man page location
- use %%configure and %%makeinstall
- use predefined RPM macros wherever possible
- use applnk instead of wmconfig
- include the stuff in %%{_libexecdir}

* Tue May 9 2000 Tim Powers <timp@redhat.com>
- built for 7.0

* Sun Jan  9 2000 Matt Wilson <msw@redhat.com>
- updated to epic4-2000
- updated to splitfire v1.30a

* Tue Nov 9 1999 Tim Powers <timp@redhat.com>
- updated to 4pre2.003 , two of the patches no longer needed, so they're
	dropped
- patched so that epic no longer looks for help files in /usr/lib/irc, instead
	looks in the correct place, /usr/share/epic/help
	
* Tue Jul 13 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Oct 22 1998 <msw@redhat.com>
- Copy the splitfire script into the right directory
- Fixed diretory attributes.

* Wed Oct 21 1998 <msw@redhat.com>
- Rebuilt, moved help into main package.

* Thu Aug 18 1998 Manoj Kasichainula <manojk+rpm@io.com>
- Updated prog and help to 4pre2
- renamed to epic, since the web page doesn't call it ircii-epic.
- Use %defattr
- Changed server list, since current one seems out of date
- Other minor changes

* Sun May 17 1998 Manoj Kasichainula <manojk+rpm@io.com>
- Added help package (though a bit out of date)
- Uses bz2 file (needs bzip2 now)
- Minor spec file changes

* Sat May  9 1998 Anders Andersson <anders@sanyusan.se>
- Upgraded to pre1.200

* Tue Apr 28 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Upgraded to pre1.100
- Build for RH5
- Complex changes of %install

* Sat Mar 28 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Upgraded to pre1.049

* Sat Mar 21 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Initial release (pre1.047)
- Small patch to disable loading local-script in global file
